package ink.wgink.module.examine.listener.question;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * @ClassName: TestQuestionExcelError
 * @Description: 人员Excel异常
 * @Author: WangGeng
 * @Date: 2020/1/7 12:28 下午
 * @Version: 1.0
 **/
public class QuestionExcelError {

    @ExcelProperty(index = 0)
    private Integer no;
    @ExcelProperty(index = 1)
    private String title;
    @ExcelProperty(index = 2)
    private String reason;

    public Integer getNo() {
        return no;
    }

    public void setNo(Integer no) {
        this.no = no;
    }

    public String getTitle() {
        return title == null ? "" : title.trim();
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getReason() {
        return reason == null ? "" : reason.trim();
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"no\":\"")
                .append(no).append('\"');
        sb.append(",\"title\":\"")
                .append(title).append('\"');
        sb.append(",\"reason\":\"")
                .append(reason).append('\"');
        sb.append('}');
        return sb.toString();
    }
}